## qt6-positioning 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

if(TARGET Qt::Positioning)
    add_subdirectory(positioning)
endif()

qt_examples_build_end()

=== examples/positioning/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Widgets)
    qt_internal_add_example(logfilepositionsource)
endif()
if(TARGET Qt::Quick AND TARGET Qt::Svg)
    qt_internal_add_example(satelliteinfo)
endif()
if(TARGET Qt::Network AND TARGET Qt::Quick)
    qt_internal_add_example(weatherinfo)
    set_target_properties(weatherinfo PROPERTIES UNITY_BUILD OFF)
endif()

=== src/positioning/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from positioning.pro.

#####################################################################
## Positioning Module:
#####################################################################

qt_internal_add_module(Positioning
    PLUGIN_TYPES position
    SOURCES
        qclipperutils.cpp qclipperutils_p.h
        qdoublematrix4x4.cpp qdoublematrix4x4_p.h
        qdoublevector2d.cpp qdoublevector2d_p.h
        qdoublevector3d.cpp qdoublevector3d_p.h
        qgeoaddress.cpp qgeoaddress.h qgeoaddress_p.h
        qgeoareamonitorinfo.cpp qgeoareamonitorinfo.h
        qgeoareamonitorsource.cpp qgeoareamonitorsource.h
        qgeocircle.cpp qgeocircle.h qgeocircle_p.h
        qgeocoordinate.cpp qgeocoordinate.h qgeocoordinate_p.h
        qgeocoordinateobject.cpp qgeocoordinateobject_p.h
        qgeolocation.cpp qgeolocation.h qgeolocation_p.h
        qgeopath.cpp qgeopath.h qgeopath_p.h
        qgeopolygon.cpp qgeopolygon.h qgeopolygon_p.h
        qgeopositioninfo.cpp qgeopositioninfo.h qgeopositioninfo_p.h
        qgeopositioninfosource.cpp qgeopositioninfosource.h qgeopositioninfosource_p.h
        qgeopositioninfosourcefactory.cpp qgeopositioninfosourcefactory.h
        qgeorectangle.cpp qgeorectangle.h qgeorectangle_p.h
        qgeosatelliteinfo.cpp qgeosatelliteinfo.h qgeosatelliteinfo_p.h
        qgeosatelliteinfosource.cpp qgeosatelliteinfosource.h qgeosatelliteinfosource_p.h
        qgeoshape.cpp qgeoshape.h qgeoshape_p.h
        qlocationutils.cpp qlocationutils_p.h
        qnmeapositioninfosource.cpp qnmeapositioninfosource.h qnmeapositioninfosource_p.h
        qnmeasatelliteinfosource.cpp qnmeasatelliteinfosource.h qnmeasatelliteinfosource_p.h
        qpositioningglobal.h qpositioningglobal_p.h
        qwebmercator.cpp qwebmercator_p.h
    INCLUDE_DIRECTORIES
        ../3rdparty/clip2tri
        ../3rdparty/clipper
    LIBRARIES
        Qt::CorePrivate
        Qt::Bundled_Clip2Tri
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
)

if(ANDROID)
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_BUNDLED_JAR_DEPENDENCIES
        jar/Qt${QtLocation_VERSION_MAJOR}AndroidPositioning.jar
    )
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_LIB_DEPENDENCIES
        ${INSTALL_PLUGINSDIR}/position/libplugins_position_qtposition_android.so
    )
    set_property(TARGET Positioning APPEND PROPERTY QT_ANDROID_PERMISSIONS
        android.permission.ACCESS_FINE_LOCATION
    )
endif()

qt_internal_extend_target(Positioning CONDITION WIN32
    NO_UNITY_BUILD_SOURCES
        qclipperutils.cpp # `using namespace std` in clip2tri.h results in 'byte': ambiguous symbol
)

#### Keys ignored in scope 1:.:.:positioning.pro:<TRUE>:
# ANDROID_FEATURES = "android.hardware.location.gps"
# MODULE_WINRT_CAPABILITIES_DEVICE = "location"
# OTHER_FILES = "configure.json" "doc/src/*.qdoc" "doc/src/plugins/*.qdoc"
qt_internal_add_docs(Positioning
    doc/qtpositioning.qdocconf
)

=== src/positioningquick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from positioningquick.pro.

#####################################################################
## PositioningQuick Module:
#####################################################################

qt_internal_add_qml_module(PositioningQuick
    URI QtPositioning
    VERSION ${CMAKE_PROJECT_VERSION}
    PLUGIN_TARGET positioningquickplugin
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    CLASS_NAME QtPositioningDeclarativeModule
    DEPENDENCIES
        QtQuick/auto
    SOURCES
        qdeclarativegeoaddress_p.h qdeclarativegeoaddress.cpp
        qdeclarativegeolocation_p.h qdeclarativegeolocation.cpp
        qdeclarativepluginparameter_p.h qdeclarativepluginparameter.cpp
        qdeclarativeposition_p.h qdeclarativeposition.cpp
        qdeclarativepositionsource_p.h qdeclarativepositionsource.cpp
        qdeclarativesatellitesource_p.h qdeclarativesatellitesource.cpp
        qquickgeocoordinateanimation_p.h qquickgeocoordinateanimation.cpp
        locationsingleton_p.h locationsingleton.cpp
        qquickgeocoordinateanimation_p_p.h
        qpositioningquickglobal.h
        qpositioningquickglobal_p.h
        qpositioningquickmodule_p.h qpositioningquickmodule.cpp
    LIBRARIES
        Qt::PositioningPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Positioning
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::PositioningPrivate
        Qt::QuickPrivate
)

qt_internal_extend_target(positioningquickplugin
    SOURCES
        positioningplugin.cpp
    LIBRARIES
        Qt::PositioningQuickPrivate
        Qt::Quick
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from auto.pro.

add_subdirectory(doublevectors)
add_subdirectory(qgeoaddress)
add_subdirectory(qgeoshape)
add_subdirectory(qgeorectangle)
add_subdirectory(qgeocircle)
add_subdirectory(qgeopath)
add_subdirectory(qgeopolygon)
add_subdirectory(qgeocoordinate)
add_subdirectory(qgeocoordinateobject)
add_subdirectory(qgeolocation)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)
add_subdirectory(qgeosatelliteinfosource)
add_subdirectory(qnmeasatelliteinfosource)
add_subdirectory(qwebmercator)
add_subdirectory(cmake)
if (QT6_IS_SHARED_LIBS_BUILD)
    add_subdirectory(positionplugin)
    add_subdirectory(positionplugintest)
    add_subdirectory(qgeoareamonitor)
    add_subdirectory(qgeopositioninfosource)
    add_subdirectory(qnmeapositioninfosource)
endif()
if(TARGET Qt::Quick)
    add_subdirectory(qdeclarativegeolocation)
    add_subdirectory(qdeclarativeposition)
    add_subdirectory(qquickgeocoordinateanimation)
    if (QT6_IS_SHARED_LIBS_BUILD)
        add_subdirectory(dummypositionplugin)
        add_subdirectory(satellitesourceplugin)
        add_subdirectory(declarative_positioning_core)
        add_subdirectory(qdeclarativepositionsource)
        add_subdirectory(declarative_geolocation)
        add_subdirectory(declarative_satellitesource)
    endif()
endif()

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# special case begin

add_subdirectory(qgeoareamonitorinfo)
add_subdirectory(qgeopositioninfo)
add_subdirectory(qgeosatelliteinfo)

# special case end

=== examples/positioning/logfilepositionsource/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(logfilepositionsource LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/logfilepositionsource")

find_package(Qt6 REQUIRED COMPONENTS Core Positioning Widgets)

qt_standard_project_setup()

qt_add_executable(logfilepositionsource
    clientapplication.cpp clientapplication.h
    logfilepositionsource.cpp logfilepositionsource.h
    main.cpp
)

set_target_properties(logfilepositionsource PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(logfilepositionsource PRIVATE
    Qt::Core
    Qt::Positioning
    Qt::Widgets
)

# Resources:
set(logfile_resource_files
    "simplelog.txt"
)

qt_add_resources(logfilepositionsource "logfile"
    PREFIX
        "/"
    FILES
        ${logfile_resource_files}
)

install(TARGETS logfilepositionsource
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/positioning/satelliteinfo/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(satelliteinfo LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/satelliteinfo")

find_package(Qt6 REQUIRED COMPONENTS Core Svg Quick PositioningQuick)
find_package(Qt6 OPTIONAL_COMPONENTS SerialPort)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(satelliteinfo
    main.cpp
)

set_target_properties(satelliteinfo PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.qt.examples.satelliteinfo"
)

target_link_libraries(satelliteinfo PRIVATE
    Qt::Core
    Qt::PositioningQuick
    Qt::Quick
    Qt::Svg
)

# For mobile platforms we need to explicitly link with Qt::SerialPort
# to use NMEA plugin. The reason for such behavior is that, at least on Android,
# the plugin dependencies were not explicitly added to the list of deployment
# targets until Qt 6.5.
if(ANROID AND TARGET Qt::SerialPort)
    target_link_libraries(satelliteinfo PRIVATE Qt::SerialPort)
endif()

if (APPLE)
    # Using absolute path for shared plist files is a Ninja bug workaround
    get_filename_component(SHARED_PLIST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)
    if (IOS)
        set_target_properties(satelliteinfo PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.ios.plist"
        )
    else()
        set_target_properties(satelliteinfo PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.macos.plist"
        )
    endif()
endif()

qt_add_resources(satelliteinfo "resources"
    FILES
        nmealog.txt
        fonts/TitilliumWeb-Regular.ttf
        fonts/TitilliumWeb-SemiBold.ttf
)

set_source_files_properties(Theme.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

qt_add_qml_module(satelliteinfo
    URI SatelliteInformation
    VERSION 1.0
    SOURCES
        roles.h
        satellitemodel.cpp satellitemodel.h
        sortfiltermodel.cpp sortfiltermodel.h
    QML_FILES
        ApplicationScreen.qml
        Button.qml
        Header.qml
        HelpPopup.qml
        LegendBox.qml
        Main.qml
        RssiView.qml
        PageButton.qml
        PermissionsScreen.qml
        PositionBox.qml
        SatelliteView.qml
        SettingsView.qml
        SkyView.qml
        Theme.qml
        ViewSwitch.qml
    RESOURCES
        icons/checkbox.svg
        icons/checkbox_blank.svg
        icons/darkmode.svg
        icons/filter.svg
        icons/help.svg
        icons/lightmode.svg
        icons/place.svg
        icons/qtlogo_green.png
        icons/qtlogo_white.png
        icons/rssiview.svg
        icons/satellite_small.png
        icons/satellite1.png
        icons/satellite2.png
        icons/search.svg
        icons/settings.svg
        icons/skyview.svg
        icons/sort.svg
        icons/tableview.svg
)

install(TARGETS satelliteinfo
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

if(APPLE AND NOT CMAKE_GENERATOR STREQUAL "Xcode")
    # Need to sign application for location permissions to work
    add_custom_command(TARGET satelliteinfo
        POST_BUILD COMMAND codesign -s - satelliteinfo.app)
endif()

=== examples/positioning/weatherinfo/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(weatherinfo LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/positioning/weatherinfo")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Network Positioning Qml Quick)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(weatherinfo
    main.cpp
)

set_target_properties(weatherinfo PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.qt.examples.weatherinfo"
)

target_link_libraries(weatherinfo PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Positioning
    Qt::Qml
    Qt::Quick
)

if (APPLE)
    # Using absolute path for shared plist files is a Ninja bug workaround
    get_filename_component(SHARED_PLIST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../shared ABSOLUTE)
    if (IOS)
        set_target_properties(weatherinfo PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.ios.plist"
        )
    else()
        set_target_properties(weatherinfo PROPERTIES
            MACOSX_BUNDLE_INFO_PLIST "${SHARED_PLIST_DIR}/Info.cmake.macos.plist"
        )
    endif()
endif()

qt_add_qml_module(weatherinfo
    URI Weather
    VERSION 1.0
    SOURCES
        appmodel.cpp appmodel.h
        openmeteobackend.cpp openmeteobackend.h
        openweathermapbackend.cpp openweathermapbackend.h
        providerbackend.cpp providerbackend.h
        weatherapibackend.cpp weatherapibackend.h
    QML_FILES
        BigForecastIcon.qml
        ForecastIcon.qml
        WeatherIcon.qml
        WeatherInfo.qml
    RESOURCES
        icons/weather-few-clouds.svg
        icons/weather-fog.svg
        icons/weather-haze.svg
        icons/weather-icy.svg
        icons/weather-overcast.svg
        icons/weather-showers.svg
        icons/weather-sleet.svg
        icons/weather-snow.svg
        icons/weather-storm.svg
        icons/weather-sunny-very-few-clouds.svg
        icons/weather-sunny.svg
        icons/weather-thundershower.svg
        icons/weather-showers-scattered.svg
        icons/waypoint.svg
)

install(TARGETS weatherinfo
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

if(APPLE AND NOT CMAKE_GENERATOR STREQUAL "Xcode")
    # Need to sign application for location permissions to work
    add_custom_command(TARGET weatherinfo
        POST_BUILD COMMAND codesign -s - weatherinfo.app)
endif()

=== src/3rdparty/clip2tri/CMakeLists.txt ===
# Generated from clip2tri.pro.

#####################################################################
## Bundled_Clip2Tri Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(Bundled_Clip2Tri
    QMAKE_LIB_NAME _clip2tri
    STATIC
    SKIP_AUTOMOC # special case
    EXCEPTIONS
    SOURCES
        clip2tri.cpp clip2tri.h
    INCLUDE_DIRECTORIES
        ../clipper
        ../poly2tri
    LIBRARIES
        Qt::Bundled_Clipper # special case
        Qt::Bundled_Poly2Tri # special case
)
qt_disable_warnings(Bundled_Clip2Tri)
qt_set_symbol_visibility_hidden(Bundled_Clip2Tri)

## Scopes:
#####################################################################

#### Keys ignored in scope 3:.:.:clip2tri.pro:GCC:
# QMAKE_CFLAGS_OPTIMIZE_FULL = "-ffast-math"

#### Keys ignored in scope 4:.:.:clip2tri.pro:NOT CLANG AND NOT ICC AND NOT rim_qcc:
# QMAKE_CXXFLAGS_WARN_ON = "-Wno-error=return-type"

=== tests/auto/doublevectors/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from doublevectors.pro.

#####################################################################
## tst_doublevectors Test:
#####################################################################

qt_internal_add_test(tst_doublevectors
    SOURCES
        tst_doublevectors.cpp
    LIBRARIES
        Qt::Core
        Qt::PositioningPrivate
)

#### Keys ignored in scope 1:.:.:doublevectors.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/positionplugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from positionplugin.pro.

#####################################################################
## QGeoPositionInfoSourceFactoryTest Plugin:
#####################################################################

qt_internal_add_plugin(QGeoPositionInfoSourceFactoryTestPlugin
    OUTPUT_NAME qtposition_testplugin
    CLASS_NAME QGeoPositionInfoSourceFactoryTest
    PLUGIN_TYPE position
    DEFAULT_IF FALSE
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Core
        Qt::Positioning
)

#### Keys ignored in scope 1:.:.:positionplugin.pro:<TRUE>:
# OTHER_FILES = "plugin.json"
# PLUGIN_EXTENDS = "-"

=== debian/changelog ===
qt6-positioning (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Oct 2025 21:14:04 +0100

qt6-positioning (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:03:50 +0200

qt6-positioning (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 20:02:52 +0200

qt6-positioning (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Aug 2025 12:07:42 +0200

qt6-positioning (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 19:20:09 +0200

=== debian/control ===
Source: qt6-positioning
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-declarative-dev (>= 6.9.2+dfsg~),
               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
               qt6-serialport-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git

Package: libqt6positioning6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-positioning-private-abi (= 6.9.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: libqt6positioningquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library - Qt Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contain the Qt Quick interface for the Qt 6 Positioning library.

Package: libqt6positioning6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning plugins.

Package: qml6-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Positioning QML plugin for Qt Declarative.

Package: qt6-positioning-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6positioning6 (= ${binary:Version}),
         libqt6positioning6-plugins (= ${binary:Version}),
         libqt6positioningquick6 (= ${binary:Version}),
         qml6-module-qtpositioning (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Positioning - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for
 building Qt 6 applications using Qt 6 Positioning library.
 .
 Use at your own risk.

Package: qt6-positioning-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Positioning tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Positioning
 documentation.

Package: qt6-positioning-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Positioning submodule.

## qt6-positioning 6.9.3

=== debian/changelog ===
qt6-positioning (6.9.3-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 04 Nov 2025 23:19:20 +0000

qt6-positioning (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-positioning (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 09:20:52 +1000

=== debian/control ===
Source: qt6-positioning
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdconf-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-serialport-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               rapidjson-dev (>= 1.1.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-positioning.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-positioning
Maintainer: Neon CI <neon@kde.org>

Package: qt6-positioning
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6positioning6, libqt6positioningquick6, qml6-module-positioning
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: qt6-positioning-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-positioning-doc-dev, qt6-positioning-examples
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-positioning-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-positioning-doc-html
Description: Qt 6 Positioning - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 6 Positioning library.

Package: libqt6positioning6
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6positioning6-plugins
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6positioningquick6
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtpositioning
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-doc-dev
Architecture: all
Depends: qt6-positioning-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-doc-html
Architecture: all
Depends: qt6-positioning-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-examples
Architecture: all
Depends: qt6-positioning-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-positioning 6.10.0

=== debian/changelog ===
qt6-positioning (6.10.0-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 15 Nov 2025 14:37:54 +0000

qt6-positioning (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:59 +1000

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-serialport-dev (>= 6.9.3~),
-               qt6-svg-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-serialport-dev (>= 6.10.0~),
+               qt6-svg-dev (>= 6.10.0~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtpositioning-everywhere-src-([\d\.]+\d).tar.xz

## qt6-positioning 6.10.1

=== debian/changelog ===
qt6-positioning (6.10.1-0zneon+24.04+noble+stable+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 02:15:31 +0000

qt6-positioning (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:04 +1000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-serialport-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-serialport-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~),
                rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## qt6-positioning 6.10.2

=== debian/changelog ===
qt6-positioning (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Feb 2026 19:44:34 +0100

=== debian/control ===
Source: qt6-positioning
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-serialport-dev (>= 6.10.2~),
               qt6-svg-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git

Package: libqt6positioning6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-positioning-private-abi (= 6.10.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: libqt6positioningquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library - Qt Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contain the Qt Quick interface for the Qt 6 Positioning library.

Package: libqt6positioning6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning plugins.

Package: qml6-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Positioning QML plugin for Qt Declarative.

Package: qt6-positioning-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6positioning6 (= ${binary:Version}),
         libqt6positioning6-plugins (= ${binary:Version}),
         libqt6positioningquick6 (= ${binary:Version}),
         qml6-module-qtpositioning (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Positioning - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for
 building Qt 6 applications using Qt 6 Positioning library.
 .
 Use at your own risk.

Package: qt6-positioning-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Positioning tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Positioning
 documentation.

Package: qt6-positioning-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Positioning submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtpositioning-everywhere-src-(.*)\.tar\.xz
